TabGeckoDocs
Website
Documentation / Accounts · API

Accounts · API

Generated from the OpenAPI snapshot. Source summaries remain unchanged; JSON schemas below are the exact exported definitions.

GET /api/v1/profiles/{id}/accounts

Plattformkonten eines Profils (Passwörter maskiert)

Authentication: bearer token

Required route scopes: profiles:read

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

NameLocationRequiredDescription
idpathYes
Full parameter schemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]

No request body declared.

Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "items"
          ],
          "properties": {
            "items": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "profile_id",
                  "platform_url",
                  "username",
                  "password_set",
                  "totp_set",
                  "notes",
                  "sort_order",
                  "created_at",
                  "updated_at"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "profile_id": {
                    "type": "string"
                  },
                  "platform_url": {
                    "type": "string"
                  },
                  "username": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "password_set": {
                    "type": "boolean"
                  },
                  "totp_set": {
                    "type": "boolean"
                  },
                  "notes": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "sort_order": {
                    "type": "integer"
                  },
                  "created_at": {
                    "type": "integer"
                  },
                  "updated_at": {
                    "type": "integer"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Plattformkonten eines Profils (Passwörter maskiert)",
  "tags": [
    "Konten"
  ],
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "profiles:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "items"
            ],
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "id",
                    "profile_id",
                    "platform_url",
                    "username",
                    "password_set",
                    "totp_set",
                    "notes",
                    "sort_order",
                    "created_at",
                    "updated_at"
                  ],
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "profile_id": {
                      "type": "string"
                    },
                    "platform_url": {
                      "type": "string"
                    },
                    "username": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "password_set": {
                      "type": "boolean"
                    },
                    "totp_set": {
                      "type": "boolean"
                    },
                    "notes": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "sort_order": {
                      "type": "integer"
                    },
                    "created_at": {
                      "type": "integer"
                    },
                    "updated_at": {
                      "type": "integer"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/profiles/{id}/accounts

Plattformkonto anlegen

Authentication: bearer token

Required route scopes: profiles:write

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

NameLocationRequiredDescription
idpathYes
Full parameter schemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]
Request body · required
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "platform_url"
        ],
        "properties": {
          "platform_url": {
            "type": "string",
            "minLength": 1,
            "maxLength": 256
          },
          "username": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 256
          },
          "password": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 1024
          },
          "totp_secret": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 1024
          },
          "notes": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 1024
          },
          "sort_order": {
            "type": "integer",
            "minimum": 0
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Documented responses
OpenAPI JSON
{
  "201": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "id",
            "profile_id",
            "platform_url",
            "username",
            "password_set",
            "totp_set",
            "notes",
            "sort_order",
            "created_at",
            "updated_at"
          ],
          "properties": {
            "id": {
              "type": "string"
            },
            "profile_id": {
              "type": "string"
            },
            "platform_url": {
              "type": "string"
            },
            "username": {
              "type": [
                "null",
                "string"
              ]
            },
            "password_set": {
              "type": "boolean"
            },
            "totp_set": {
              "type": "boolean"
            },
            "notes": {
              "type": [
                "null",
                "string"
              ]
            },
            "sort_order": {
              "type": "integer"
            },
            "created_at": {
              "type": "integer"
            },
            "updated_at": {
              "type": "integer"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Plattformkonto anlegen",
  "tags": [
    "Konten"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "platform_url"
          ],
          "properties": {
            "platform_url": {
              "type": "string",
              "minLength": 1,
              "maxLength": 256
            },
            "username": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 256
            },
            "password": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 1024
            },
            "totp_secret": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 1024
            },
            "notes": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 1024
            },
            "sort_order": {
              "type": "integer",
              "minimum": 0
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "profiles:write"
  ],
  "responses": {
    "201": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "id",
              "profile_id",
              "platform_url",
              "username",
              "password_set",
              "totp_set",
              "notes",
              "sort_order",
              "created_at",
              "updated_at"
            ],
            "properties": {
              "id": {
                "type": "string"
              },
              "profile_id": {
                "type": "string"
              },
              "platform_url": {
                "type": "string"
              },
              "username": {
                "type": [
                  "null",
                  "string"
                ]
              },
              "password_set": {
                "type": "boolean"
              },
              "totp_set": {
                "type": "boolean"
              },
              "notes": {
                "type": [
                  "null",
                  "string"
                ]
              },
              "sort_order": {
                "type": "integer"
              },
              "created_at": {
                "type": "integer"
              },
              "updated_at": {
                "type": "integer"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

PATCH /api/v1/profiles/{id}/accounts/{accountId}

Plattformkonto ändern; password/totp_secret null entfernt den Wert

Authentication: bearer token

Required route scopes: profiles:write

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

NameLocationRequiredDescription
idpathYes
accountIdpathYes
Full parameter schemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string"
    },
    "in": "path",
    "name": "id",
    "required": true
  },
  {
    "schema": {
      "type": "string"
    },
    "in": "path",
    "name": "accountId",
    "required": true
  }
]
Request body · required
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "platform_url": {
            "type": "string",
            "minLength": 1,
            "maxLength": 256
          },
          "username": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 256
          },
          "password": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 1024
          },
          "totp_secret": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 1024
          },
          "notes": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 1024
          },
          "sort_order": {
            "type": "integer",
            "minimum": 0
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "id",
            "profile_id",
            "platform_url",
            "username",
            "password_set",
            "totp_set",
            "notes",
            "sort_order",
            "created_at",
            "updated_at"
          ],
          "properties": {
            "id": {
              "type": "string"
            },
            "profile_id": {
              "type": "string"
            },
            "platform_url": {
              "type": "string"
            },
            "username": {
              "type": [
                "null",
                "string"
              ]
            },
            "password_set": {
              "type": "boolean"
            },
            "totp_set": {
              "type": "boolean"
            },
            "notes": {
              "type": [
                "null",
                "string"
              ]
            },
            "sort_order": {
              "type": "integer"
            },
            "created_at": {
              "type": "integer"
            },
            "updated_at": {
              "type": "integer"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Plattformkonto ändern; password/totp_secret null entfernt den Wert",
  "tags": [
    "Konten"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "platform_url": {
              "type": "string",
              "minLength": 1,
              "maxLength": 256
            },
            "username": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 256
            },
            "password": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 1024
            },
            "totp_secret": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 1024
            },
            "notes": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 1024
            },
            "sort_order": {
              "type": "integer",
              "minimum": 0
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "parameters": [
    {
      "schema": {
        "type": "string"
      },
      "in": "path",
      "name": "id",
      "required": true
    },
    {
      "schema": {
        "type": "string"
      },
      "in": "path",
      "name": "accountId",
      "required": true
    }
  ],
  "x-required-scopes": [
    "profiles:write"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "id",
              "profile_id",
              "platform_url",
              "username",
              "password_set",
              "totp_set",
              "notes",
              "sort_order",
              "created_at",
              "updated_at"
            ],
            "properties": {
              "id": {
                "type": "string"
              },
              "profile_id": {
                "type": "string"
              },
              "platform_url": {
                "type": "string"
              },
              "username": {
                "type": [
                  "null",
                  "string"
                ]
              },
              "password_set": {
                "type": "boolean"
              },
              "totp_set": {
                "type": "boolean"
              },
              "notes": {
                "type": [
                  "null",
                  "string"
                ]
              },
              "sort_order": {
                "type": "integer"
              },
              "created_at": {
                "type": "integer"
              },
              "updated_at": {
                "type": "integer"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

DELETE /api/v1/profiles/{id}/accounts/{accountId}

Plattformkonto löschen

Authentication: bearer token

Required route scopes: profiles:write

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

NameLocationRequiredDescription
idpathYes
accountIdpathYes
Full parameter schemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string"
    },
    "in": "path",
    "name": "id",
    "required": true
  },
  {
    "schema": {
      "type": "string"
    },
    "in": "path",
    "name": "accountId",
    "required": true
  }
]

No request body declared.

Documented responses
OpenAPI JSON
{
  "204": {
    "description": "No content."
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Plattformkonto löschen",
  "tags": [
    "Konten"
  ],
  "parameters": [
    {
      "schema": {
        "type": "string"
      },
      "in": "path",
      "name": "id",
      "required": true
    },
    {
      "schema": {
        "type": "string"
      },
      "in": "path",
      "name": "accountId",
      "required": true
    }
  ],
  "x-required-scopes": [
    "profiles:write"
  ],
  "responses": {
    "204": {
      "description": "No content."
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

GET /api/v1/profiles/{id}/accounts/{accountId}/password

Passwort im Klartext abrufen (wird protokolliert)

Authentication: bearer token

Required route scopes: secrets:read

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

NameLocationRequiredDescription
idpathYes
accountIdpathYes
Full parameter schemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string"
    },
    "in": "path",
    "name": "id",
    "required": true
  },
  {
    "schema": {
      "type": "string"
    },
    "in": "path",
    "name": "accountId",
    "required": true
  }
]

No request body declared.

Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "password"
          ],
          "properties": {
            "password": {
              "type": "string"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Passwort im Klartext abrufen (wird protokolliert)",
  "tags": [
    "Konten"
  ],
  "parameters": [
    {
      "schema": {
        "type": "string"
      },
      "in": "path",
      "name": "id",
      "required": true
    },
    {
      "schema": {
        "type": "string"
      },
      "in": "path",
      "name": "accountId",
      "required": true
    }
  ],
  "x-required-scopes": [
    "secrets:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "password"
            ],
            "properties": {
              "password": {
                "type": "string"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

GET /api/v1/profiles/{id}/accounts/{accountId}/totp

Aktuellen 2FA-Code erzeugen

Authentication: bearer token

Required route scopes: secrets:totp

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

NameLocationRequiredDescription
idpathYes
accountIdpathYes
Full parameter schemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string"
    },
    "in": "path",
    "name": "id",
    "required": true
  },
  {
    "schema": {
      "type": "string"
    },
    "in": "path",
    "name": "accountId",
    "required": true
  }
]

No request body declared.

Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "code",
            "remaining_s"
          ],
          "properties": {
            "code": {
              "type": "string"
            },
            "remaining_s": {
              "type": "integer"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Aktuellen 2FA-Code erzeugen",
  "tags": [
    "Konten"
  ],
  "parameters": [
    {
      "schema": {
        "type": "string"
      },
      "in": "path",
      "name": "id",
      "required": true
    },
    {
      "schema": {
        "type": "string"
      },
      "in": "path",
      "name": "accountId",
      "required": true
    }
  ],
  "x-required-scopes": [
    "secrets:totp"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "code",
              "remaining_s"
            ],
            "properties": {
              "code": {
                "type": "string"
              },
              "remaining_s": {
                "type": "integer"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

Native API reference